-- Each slot provides different amount of stat benefits. This sets the right coefficient so we can calculate the proper value from the item level.
-- Currently these are set for Warlords of Draenor expansion.
iDKP_Slots = {
	-- Armor
	["INVTYPE_HEAD"] = 1.0,
	["INVTYPE_CHEST"] = 1.0,
	["INVTYPE_ROBE"] = 1.0,
	["INVTYPE_LEGS"] = 1.0,
	
	["INVTYPE_SHOULDER"] = 0.76,
	["INVTYPE_HAND"] = 0.76,
	["INVTYPE_WAIST"] = 0.76,
	["INVTYPE_FEET"] = 0.76,
	
	["INVTYPE_WRIST"] = 0.56,
	["INVTYPE_CLOAK"] = 0.56,
	
	-- Bangles
	["INVTYPE_NECK"] = 0.56,
	["INVTYPE_FINGER"] = 0.56,
	["INVTYPE_TRINKET"] = 0.68,
	
	-- Melee Weapons
	["INVTYPE_WEAPON"] = 1.0,
	["INVTYPE_WEAPONMAINHAND"] = 1.0,
	["INVTYPE_WEAPONOFFHAND"] = 1.0,
	["INVTYPE_2HWEAPON"] = 1.5,
	["INVTYPE_HOLDABLE"] = 0.56,
	["INVTYPE_SHIELD"] = 0.56,
	
	-- Ranged Weapons
	["INVTYPE_RANGED"] = 0.5,
	["INVTYPE_RANGEDRIGHT"] = 0.5,
	["INVTYPE_THROWN"] = 0.5,
	
	-- Ignored
	["INVTYPE_BAG"] = 0,
	["INVTYPE_TABARD"] = 0,
	["INVTYPE_SHIRT"] = 0,
	["INVTYPE_BODY"] = 0,
}

iDKP_SubTypes = {
	["Guns"] = 1.5,
	["Bows"] = 1.5,
	["Crossbows"] = 1.5,
}

iDKP_Attribs = {
	["Prismatic Socket"] = 5.00,
	["Indestructible"] = 3.00,
	["+([0-9]+) Leech"] = 0.08, -- per stat point
	["+([0-9]+) Avoidance"] = 0.08, -- per stat point
};

iDKP_Set_Bonus = 1.3

-- Static DKP values
iDKP_Static = {
	["Some fancy item"] = "1000.00",
};

-- Tooltips to hook
iDKP_HookTooltips = {
	"ItemRefTooltip",
	"GameTooltip",
	"ShoppingTooltip1",
	"ShoppingTooltip2",
	"ComparisonTooltip1",
	"ComparisonTooltip2",
	"MRT_GUI_ItemTT",
}

-- Tooltip methods to hook
iDKP_HookMethods = {
	"SetHyperlink",
	"SetBagItem",
	"SetInventoryItem",
	"SetAuctionItem",
	"SetAuctionSellItem",
	"SetLootItem",
	"SetLootRollItem",
	"SetTradeSkillItem",
	"SetTrainerService",
	"SetInboxItem",
	"SetSendMailItem",
	"SetQuestItem",
	"SetQuestLogItem",
	"SetTradePlayerItem",
	"SetTradeTargetItem",
	"SetMerchantItem",
	"SetBuybackItem",
	"SetCompareItem",
}
